## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
# * tests can only be run inside the upstream git repository:
#   https://github.com/tomastomecek/pretty-git-prompt/issues/35
%bcond_with check

%global crate pretty-git-prompt

Name:           rust-pretty-git-prompt
Version:        0.2.2
Release:        %autorelease
Summary:        Your current git repository information inside a beautiful shell prompt

License:        MIT
URL:            https://crates.io/crates/pretty-git-prompt
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump git2 dependency from 0.18 to 0.19
Patch:          pretty-git-prompt-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Your current git repository information inside a beautiful shell prompt.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND BSD-3-Clause AND GPL-2.0-only WITH GCC-exception-2.0 AND MIT
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# Zlib OR Apache-2.0 OR MIT
License:        MIT AND BSD-3-Clause AND GPL-2.0-only WITH GCC-exception-2.0 AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/pretty-git-prompt

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Oct 29 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.2-4
- Bump git2 dependency from 0.18 to 0.19

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.2-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Wed Mar 13 2024 Tomas Tomecek <ttomecek@redhat.com> - 0.2.2-1
- 0.2.2

* Tue Feb 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.1-20
- Rebuild for CVE-2024-24575 and CVE-2024-24577 in libgit2

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 10 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.1-17
- Regenerate with rust2rpm v24 and refresh license string

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.1-15
- Rebuild for CVE-2022-24765 and CVE-2022-29187 in libgit2.

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Dec 09 2022 Pete Walter <pwalter@fedoraproject.org> - 0.2.1-13
- Rebuild for libgit2 1.4

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.1-11
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 28 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.1-9
- Rebuild for libgit2 1.3.x

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 14:21:55 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.1-6
- Rebuild against libgit2 1.1.x

* Mon Dec 28 13:31:52 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.1-5
- Rebuild

* Sun Aug 16 15:01:38 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.1-4
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Apr 15 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.1-2
- Rebuild for libgit2 1.0.0

* Wed Apr 08 2020 Josh Stone <jistone@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Thu Mar 19 11:41:19 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.0-14
- Update git2 to 0.14

* Wed Mar 04 2020 Josh Stone <jistone@redhat.com> - 0.2.0-13
- Bump git2 to 0.12

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jul 14 12:10:39 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-10
- Regenerate

* Fri Jun 07 2019 Josh Stone <jistone@redhat.com> - 0.2.0-9
- Bump git2 to 0.9

* Tue Apr 02 2019 Josh Stone <jistone@redhat.com> - 0.2.0-8
- Bump git2 to 0.8

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Aug 10 2018 Josh Stone <jistone@redhat.com> - 0.2.0-6
- Rebuild with fixed rust-libgit2-sys-0.7.7

* Fri Aug 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-5
- Rebuild for libgit2 0.27.x

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Mar 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-3
- Bump git2 to 0.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-1
- Initial package

## END: Generated by rpmautospec
